Subject: Re: linux-next: build failure after merge of the final tree (pwm tree related)

From: Arnd Bergmann <[email-masked]>
Date: Tue, 3 Jul 2012 09:00:53 +0000

On Tuesday 03 July 2012, Geert Uytterhoeven wrote:
> > I think that all the drivers that are not converted to the common PWM
> > layer yet should depend on not enabling the common code. Once they
> > are all moved over, that dependency will go away.
> 
> Hence you cannot have a single kernel image that contains both legacy and new
> drivers. I don't know whether there's any such combination that makes sense,
> though.

No, it's not a problem really: Before the new layer was added, any combination
of PWM drivers would conflict, the entire point of the common PWM code is
to make it possible that to put some drivers into the same kernel. Over time
I'd hope that all drivers get moved over, so we can have any combination.

	Arnd